package com.example.tyre.maintenance.been;

import androidx.databinding.BaseObservable;

/**
 * 轮胎基础信息对象 base_tyre
 *
 * @author highway
 * @date 2025-12-16
 */
public class BaseTyre extends BaseObservable {

    /**
     * 主键
     */
    private Long tyreId;

    /**
     * 胎号
     */
    private String tyreNo;
    /**
     * 自编号
     */
    private String selfNo;
    /**
     * RFID标签
     */
    private String tyreEpc;

    /**
     * 轮胎品牌
     */
    private String tyreBrand;

    /**
     * 轮胎型号
     */
    private String tyreModel;

    /**
     * 轮胎层级
     */
    private String tyreLevel;

    /**
     * 轮胎花纹
     */
    private String tyrePattern;
    private String patternDepth;
    private String patternDepth1;
    private String grooves;
    /**
     * 轮胎类别
     */
    private String tyreType;

    /**
     * 所属车队
     */
    private String team;

    private String carNo;
    private String wheelPostion;
    private Long deptId;

    public String getPatternDepth1() {
        if (patternDepth != null && !patternDepth.isEmpty()) {
            return patternDepth + " mm";
        }
        return patternDepth;
    }

    public String getPatternDepth() {
        return patternDepth;
    }

    public void setPatternDepth(String patternDepth) {
        this.patternDepth = patternDepth;
    }

    public String getGrooves() {
        return grooves;
    }

    public void setGrooves(String grooves) {
        this.grooves = grooves;
    }

    public String getSelfNo() {
        return selfNo;
    }

    public void setSelfNo(String selfNo) {
        this.selfNo = selfNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getWheelPostion() {
        return wheelPostion;
    }

    public void setWheelPostion(String wheelPostion) {
        this.wheelPostion = wheelPostion;
    }

    public Long getTyreId() {
        return tyreId;
    }

    public void setTyreId(Long tyreId) {
        this.tyreId = tyreId;
    }

    public String getTyreNo() {
        return tyreNo;
    }

    public void setTyreNo(String tyreNo) {
        this.tyreNo = tyreNo;
    }

    public String getTyreEpc() {
        return tyreEpc;
    }

    public void setTyreEpc(String tyreEpc) {
        this.tyreEpc = tyreEpc;
    }

    public String getTyreBrand() {
        return tyreBrand;
    }

    public void setTyreBrand(String tyreBrand) {
        this.tyreBrand = tyreBrand;
    }

    public String getTyreModel() {
        return tyreModel;
    }

    public void setTyreModel(String tyreModel) {
        this.tyreModel = tyreModel;
    }

    public String getTyreLevel() {
        return tyreLevel;
    }

    public void setTyreLevel(String tyreLevel) {
        this.tyreLevel = tyreLevel;
    }

    public String getTyrePattern() {
        return tyrePattern;
    }

    public void setTyrePattern(String tyrePattern) {
        this.tyrePattern = tyrePattern;
    }

    public String getTyreType() {
        return tyreType;
    }

    public void setTyreType(String tyreType) {
        this.tyreType = tyreType;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    @Override
    public String toString() {
        return "BaseTyre{" +
                "tyreId=" + tyreId +
                ", tyreNo='" + tyreNo + '\'' +
                ", selfNo='" + selfNo + '\'' +
                ", tyreEpc='" + tyreEpc + '\'' +
                ", tyreBrand='" + tyreBrand + '\'' +
                ", tyreModel='" + tyreModel + '\'' +
                ", tyreLevel='" + tyreLevel + '\'' +
                ", tyrePattern='" + tyrePattern + '\'' +
                ", patternDepth='" + patternDepth + '\'' +
                ", patternDepth1='" + patternDepth1 + '\'' +
                ", grooves='" + grooves + '\'' +
                ", tyreType='" + tyreType + '\'' +
                ", team='" + team + '\'' +
                ", carNo='" + carNo + '\'' +
                ", wheelPostion='" + wheelPostion + '\'' +
                ", deptId=" + deptId +
                '}';
    }
}
